layouts = {}

layouts['ru'] = {
"q": "й",
"w": "ц",
"e": "у",
"r": "к",
"t": "е",
"y": "н",
"u": "г",
"i": "ш",
"o": "щ",
"p": "з",
"[": "х",
"]": "ъ",
"a": "ф",
"s": "ы",
"d": "в",
"f": "а",
"g": "п",
"h": "р",
"j": "о",
"k": "л",
"l": "д",
";": "ж",
"'": "э",
"z": "я",
"x": "ч",
"c": "с",
"v": "м",
"b": "и",
"n": "т",
"m": "ь",
",": "б",
".": "ю",
"/": ".",
"Q": "Й",
"W": "Ц",
"E": "У",
"R": "К",
"T": "Е",
"Y": "Н",
"U": "Г",
"I": "Ш",
"O": "Щ",
"P": "З",
"{": "Х",
"}": "Ъ",
"A": "Ф",
"S": "Ы",
"D": "В",
"F": "А",
"G": "П",
"H": "Р",
"J": "О",
"K": "Л",
"L": "Д",
":": "Ж",
"\"": "Э",
"Z": "Я",
"X": "Ч",
"C": "С",
"V": "М",
"B": "И",
"N": "Т",
"M": "Ь",
"<": "Б",
">": "Ю",
"?": ",",
"#": "№",
"$": ";",
"%": "%",
"^": ":",
"&": "?",
"@":"\"",
"`": 'ё',
"~": "Ё"
}

enabled_layouts = list(layouts.keys())
enabled_layouts.insert(0, 'en')
current_layout = 0

def next_layout():
    global current_layout
    current_layout+=1
    if current_layout>=len(enabled_layouts):
        current_layout=0

def set_layout(l):
    global current_layout
    if not l in enabled_layouts:
        current_layout = 0
    else:
        current_layout = enabled_layouts.index(l)

def apply_layout(text, layout = None):
    if layout==None: layout = enabled_layouts[current_layout]
    if not layout in layouts.keys(): return text
    new_text = ""
    l = layouts[layout]
    for x in text:
        try:
            new_text += l[x]
        except: new_text += x
    return new_text